ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: IvyDE #281
Date Mon, 14 Apr 2014 11:11:38 GMT
See <https://builds.apache.org/job/IvyDE/281/changes>

Changes:

[hibou] fix javac source and target

------------------------------------------
[...truncated 2355 lines...]
     [java]     [javac] 48. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/cpcontainer/IvyClasspathContainerMapper.java
(at line 258)
     [java]     [javac] 	for (ArtifactDownloadReport otherAdr : all) {
     [java]     [javac] 	     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, 'for each' statements are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 49. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/cpcontainer/IvyClasspathContainerMapper.java
(at line 335)
     [java]     [javac] 	private boolean isArtifactName(Artifact artifact, String name, Collection<String>
suffixes,
     [java]     [javac] 	                                                                
         ^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 50. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/cpcontainer/IvyClasspathContainerMapper.java
(at line 346)
     [java]     [javac] 	for (String suffix : suffixes) {
     [java]     [javac] 	     ^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, 'for each' statements are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 51. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/cpcontainer/IvyClasspathContainerMapper.java
(at line 355)
     [java]     [javac] 	List<IClasspathAttribute> result = new ArrayList<IClasspathAttribute>();
     [java]     [javac] 	     ^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 52. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/cpcontainer/IvyClasspathContainerMapper.java
(at line 355)
     [java]     [javac] 	List<IClasspathAttribute> result = new ArrayList<IClasspathAttribute>();
     [java]     [javac] 	                                                 ^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 53. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/cpcontainer/IvyClasspathContainerMapper.java
(at line 382)
     [java]     [javac] 	return result.toArray(new IClasspathAttribute[result.size()]);
     [java]     [javac] 	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Type mismatch: cannot convert from T[] to IClasspathAttribute[]
     [java]     [javac] ----------
     [java]     [javac] ----------
     [java]     [javac] 54. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/cpcontainer/IvyClasspathInitializer.java
(at line 80)
     [java]     [javac] 	boolean exported;
     [java]     [javac] 	        ^^^^^^^^
     [java]     [javac] The value of the local variable exported is not used
     [java]     [javac] ----------
     [java]     [javac] 55. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/cpcontainer/IvyClasspathInitializer.java
(at line 162)
     [java]     [javac] 	private void updateIvyDEContainerPath(final IJavaProject project,
final IClasspathEntry entry,
     [java]     [javac]             final IClasspathAttribute[] attributes, final boolean
exported, final IPath updatedPath) {
     [java]     [javac] 	             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] The method updateIvyDEContainerPath(IJavaProject, IClasspathEntry,
IClasspathAttribute[], boolean, IPath) from the type IvyClasspathInitializer is never used
locally
     [java]     [javac] ----------
     [java]     [javac] ----------
     [java]     [javac] 56. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/cpcontainer/IvyClasspathUtil.java
(at line 43)
     [java]     [javac] 	import org.eclipse.jdt.internal.ui.packageview.ClassPathContainer;
     [java]     [javac] 	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The type ClassPathContainer is not accessible
due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] 57. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/cpcontainer/IvyClasspathUtil.java
(at line 58)
     [java]     [javac] 	public static IvyClasspathContainerImpl jdt2IvyCPC(ClassPathContainer
cpc) {
     [java]     [javac] 	                                                   ^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The type ClassPathContainer is not accessible
due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] 58. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/cpcontainer/IvyClasspathUtil.java
(at line 59)
     [java]     [javac] 	IClasspathEntry entry = cpc.getClasspathEntry();
     [java]     [javac] 	                        ^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The method getClasspathEntry() from the type ClassPathContainer
is not accessible due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] 59. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/cpcontainer/IvyClasspathUtil.java
(at line 62)
     [java]     [javac] 	cpc.getJavaProject());
     [java]     [javac] 	^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The method getJavaProject() from the type PackageFragmentRootContainer
is not accessible due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] ----------
     [java]     [javac] 60. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/handlers/AbstractIvyDEHandler.java
(at line 37)
     [java]     [javac] 	import org.eclipse.jdt.internal.ui.packageview.ClassPathContainer;
     [java]     [javac] 	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The type ClassPathContainer is not accessible
due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] 61. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/handlers/AbstractIvyDEHandler.java
(at line 73)
     [java]     [javac] 	} else if (element instanceof ClassPathContainer) {
     [java]     [javac] 	                              ^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The type ClassPathContainer is not accessible
due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] 62. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/handlers/AbstractIvyDEHandler.java
(at line 75)
     [java]     [javac] 	.jdt2IvyCPC(((ClassPathContainer) element));
     [java]     [javac] 	              ^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The type ClassPathContainer is not accessible
due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] ----------
     [java]     [javac] 63. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 40)
     [java]     [javac] 	private Set<ArtifactDownloadReport> artifactReports = new LinkedHashSet<ArtifactDownloadReport>
();
     [java]     [javac] 	            ^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 64. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 40)
     [java]     [javac] 	private Set<ArtifactDownloadReport> artifactReports = new LinkedHashSet<ArtifactDownloadReport>
();
     [java]     [javac] 	                                                                
       ^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 65. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 42)
     [java]     [javac] 	private Set<String> problemMessages = new HashSet<String>
();
     [java]     [javac] 	            ^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 66. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 42)
     [java]     [javac] 	private Set<String> problemMessages = new HashSet<String>
();
     [java]     [javac] 	                                                  ^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 67. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 46)
     [java]     [javac] 	private Map<ModuleRevisionId, Artifact[]> artifactsByDependency
= new HashMap<ModuleRevisionId, Artifact[]>();
     [java]     [javac] 	            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 68. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 46)
     [java]     [javac] 	private Map<ModuleRevisionId, Artifact[]> artifactsByDependency
= new HashMap<ModuleRevisionId, Artifact[]>();
     [java]     [javac] 	                                                                
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 69. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 55)
     [java]     [javac] 	private Map <ArtifactDownloadReport, Set<String>> retrievedArtifacts;
     [java]     [javac] 	             ^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 70. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 71)
     [java]     [javac] 	problemMessages = new HashSet<String>(report.getAllProblemMessages());
     [java]     [javac] 	                              ^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java] 
     [java] BUILD FAILED
     [java] /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts/build.xml:36:
The following error occurred while executing this line:
     [java] /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts/build.xml:105:
The following error occurred while executing this line:
     [java] /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/builder/component/customTargets.xml:28:
The following error occurred while executing this line:
     [java] /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/builder/component/allElements.xml:30:
The following error occurred while executing this line:
     [java] /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts/genericTargets.xml:118:
The following error occurred while executing this line:
     [java] /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.pde.build_3.7.0.v20110512-1320/scripts/genericTargets.xml:123:
The following error occurred while executing this line:
     [java] /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/features/org.apache.ivyde.feature/build.xml:30:
The following error occurred while executing this line:
     [java] /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/features/org.apache.ivyde.feature/build.xml:14:
The following error occurred while executing this line:
     [java] /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/build.xml:271:
The following error occurred while executing this line:
     [java] /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/build.xml:229:
Compile failed; see the compiler error output for details.
     [java] 
     [java] Total time: 14 seconds
     [java]     [javac] 71. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 95)
     [java]     [javac] 	public Set<String> getProblemMessages() {
     [java]     [javac] 	           ^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 72. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 111)
     [java]     [javac] 	public Set <ArtifactDownloadReport> getArtifactReports() {
     [java]     [javac] 	            ^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 73. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 119)
     [java]     [javac] 	public Map  <ModuleRevisionId, Artifact[]> getArtifactsByDependency()
{
     [java]     [javac] 	             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 74. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 123)
     [java]     [javac] 	void setRetrievedArtifacts(Map<ArtifactDownloadReport, Set<String>>
retrievedArtifacts) {
     [java]     [javac] 	                               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] 75. ERROR in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/resolve/ResolveResult.java
(at line 131)
     [java]     [javac] 	public Map<ArtifactDownloadReport, Set<String>> getRetrievedArtifacts()
{
     [java]     [javac] 	           ^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Syntax error, parameterized types are only available if source level
is 1.5 or greater
     [java]     [javac] ----------
     [java]     [javac] ----------
     [java]     [javac] 76. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/IvyDEClasspathContainerDecorator.java
(at line 22)
     [java]     [javac] 	import org.eclipse.jdt.internal.ui.packageview.ClassPathContainer;
     [java]     [javac] 	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The type ClassPathContainer is not accessible
due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] 77. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/IvyDEClasspathContainerDecorator.java
(at line 34)
     [java]     [javac] 	IvyClasspathContainerImpl ivycp = IvyClasspathUtil.jdt2IvyCPC((ClassPathContainer)
element);
     [java]     [javac] 	                                                               ^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The type ClassPathContainer is not accessible
due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] ----------
     [java]     [javac] 78. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/editors/pages/IvyConfSection.java
(at line 31)
     [java]     [javac] 	private IFormPage page;
     [java]     [javac] 	                  ^^^^
     [java]     [javac] The value of the field IvyConfSection.page is not used
     [java]     [javac] ----------
     [java]     [javac] 79. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/editors/pages/IvyConfSection.java
(at line 61)
     [java]     [javac] 	private void createOrganisationEntry(Composite parent, FormToolkit
toolkit) {
     [java]     [javac] 	             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] The method createOrganisationEntry(Composite, FormToolkit) from the
type IvyConfSection is never used locally
     [java]     [javac] ----------
     [java]     [javac] ----------
     [java]     [javac] 80. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/editors/pages/IvyInfoSection.java
(at line 38)
     [java]     [javac] 	private static final int NUM_COLUMNS = 2;
     [java]     [javac] 	                         ^^^^^^^^^^^
     [java]     [javac] The value of the field IvyInfoSection.NUM_COLUMNS is not used
     [java]     [javac] ----------
     [java]     [javac] 81. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/editors/pages/IvyInfoSection.java
(at line 60)
     [java]     [javac] 	IvyFileEditorInput editorInput = (IvyFileEditorInput) page.getEditorInput();
     [java]     [javac] 	                   ^^^^^^^^^^^
     [java]     [javac] The value of the local variable editorInput is not used
     [java]     [javac] ----------
     [java]     [javac] 82. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/editors/pages/IvyInfoSection.java
(at line 90)
     [java]     [javac] 	private void createOrganisationEntry(Composite parent, FormToolkit
toolkit) {
     [java]     [javac] 	             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] The method createOrganisationEntry(Composite, FormToolkit) from the
type IvyInfoSection is never used locally
     [java]     [javac] ----------
     [java]     [javac] ----------
     [java]     [javac] 83. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/editors/xml/XMLConfiguration.java
(at line 48)
     [java]     [javac] 	private IProject project;
     [java]     [javac] 	                 ^^^^^^^
     [java]     [javac] The value of the field XMLConfiguration.project is not used
     [java]     [javac] ----------
     [java]     [javac] ----------
     [java]     [javac] 84. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/menu/IvyMenuContributionItem.java
(at line 54)
     [java]     [javac] 	import org.eclipse.jdt.internal.ui.packageview.ClassPathContainer;
     [java]     [javac] 	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The type ClassPathContainer is not accessible
due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] 85. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/menu/IvyMenuContributionItem.java
(at line 112)
     [java]     [javac] 	} else if (element instanceof ClassPathContainer) {
     [java]     [javac] 	                              ^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The type ClassPathContainer is not accessible
due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] 86. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/menu/IvyMenuContributionItem.java
(at line 113)
     [java]     [javac] 	collectContainer(containers, (ClassPathContainer) element);
     [java]     [javac] 	                              ^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The type ClassPathContainer is not accessible
due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] 87. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/menu/IvyMenuContributionItem.java
(at line 240)
     [java]     [javac] 	ClassPathContainer element) {
     [java]     [javac] 	^^^^^^^^^^^^^^^^^^
     [java]     [javac] Discouraged access: The type ClassPathContainer is not accessible
due to restriction on classpath entry /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/dependencies/eclipse-SDK-3.7.1-win32/plugins/org.eclipse.jdt.ui_3.7.1.r371_v20110824-0800.jar
     [java]     [javac] ----------
     [java]     [javac] ----------
     [java]     [javac] 88. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/wizards/IvyNewWizard.java
(at line 48)
     [java]     [javac] 	import org.eclipse.ui.IWorkbenchWizard;
     [java]     [javac] 	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] The import org.eclipse.ui.IWorkbenchWizard is never used
     [java]     [javac] ----------
     [java]     [javac] ----------
     [java]     [javac] 89. WARNING in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/wizards/IvyNewWizardPage.java
(at line 26)
     [java]     [javac] 	import org.eclipse.jface.dialogs.IDialogPage;
     [java]     [javac] 	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java]     [javac] The import org.eclipse.jface.dialogs.IDialogPage is never used
     [java]     [javac] ----------
     [java]     [javac] 89 problems (43 errors, 46 warnings)
     [java]     [javac] Compilation failed. Compiler errors are available in /x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/work/eclipse/plugins/org.apache.ivyde.eclipse/temp.folder/ivyde-eclipse.jar.bin.log
     [java] An error has occurred. See the log file
     [java] /home/jenkins/workspace/.metadata/.log.

BUILD FAILED
/x1/jenkins/jenkins-slave/workspace/IvyDE/trunk/build.xml:144: Java returned: 13

Total time: 1 minute 17 seconds
Build step 'Invoke Ant' marked build as failure
[locks-and-latches] Releasing all the locks
[locks-and-latches] All the locks released
Archiving artifacts

Mime
View raw message